<mod>
	<info>
		<author>308</author>
		<name>Powered Doors And Hatches</name>
		<description>
		
		
		Adds 3 powered doors, a powered hatch and a powered drawbridge that automaticly open when powered. Or you can set them in xml to close when powered if you want.
		
		v2.0.4 Notes: 
		Updated for A17 (b208)
		
		Added DrawBridges: 
		Now supports powered drawbridges
		They take upto 4 power inputs and work just like the power doors but the inputs are directly bellow the hinge for the bridge, you can move them down in xml with BottomInput
		DrawBridges have their own block class
		They use a new  property to in the xml UpOnPowered, default is false.
		
		Added Hatches:
		Now supports powered hatches
		Hatches have 4 power inputs in the 4 floor blocks that they sit over.
		
		v2.0.1 Update notes:
		
		* This update brings back the auto open and close.
		* Controlled by a powered block placed 2 blocks directly above or bellow the door, this must be one of the 2 included door control relays.
		* If both are powered, both will act as power inputs so you can use 2 triggers.
		* Automaticly opens the door when powered and closes when not powered.
		* Has a xml setting to turn auto trigger off.
		* Alot has changed, if updating make a backup of your map first.
		* You can now only power your doors with a "Door Control Relay" or a "Concrete Door Control", each require 5 power.
		
		
		XML Options
		* Added: Auto open/close option to xml, all doors are set to auto trigger.
		* Added: Option to xml for top and bottom power input locations, the value is how many blocks above or bellow the door the input will be placed. Default is 2 for both so the top location has changed but you can change it back in the xml.
		* Added: Option to xml to toggle auto trigger on/off 
		* Added: Option to xml for 4 power inputs. This is off by default. If on the extra inputs will be 1 block above and bellow the other 2 inputs.
		* Added: Option to xml for the doors to Close when powered and open when unpowered. This is turned off by default on all doors. Only works if AutoTrigger is set also set to true.
		* Added: Option to xml for animation speed, this is really just here for another mod that requires the door to close faster. 1 is normal speed.
		
		<!-- <property name="AutoTrigger" value="true"/> -->
		<!-- <property name="AnimationSpeed" value="1"/> -->
		<!-- <property name="4Inputs" value="false"/> -->
		<!-- <property name="TopInput" value="2"/> -->
		<!-- <property name="BottomInput" value="2"/> -->
		Doors and Hatches Only<!-- <property name="ClosedOnPowered" value="false"/> -->
		
		
		DrawBridges Only:<!-- <property name="UpOnPowered" value="false"/> -->
		
		
		
		</description>
		<mod_version>v2.0.4</mod_version>
		<game_version>Alpha 17 (b208)</game_version>
		<launcher_version>SDX 0.7.3</launcher_version>
	</info>
	<config_mods>
		<import file="Configs\Powered Doors v2.xml" />
	</config_mods>
</mod>